RSVG (Geomerative Reference)

geomerative

## Class RSVG

- java.lang.Object
- - geomerative.RSVG

-     public class RSVG
      extends java.lang.Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `RSVG()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `draw(java.lang.String filename)`
    `void` | `draw(java.lang.String filename, processing.core.PApplet p)`
    `void` | `draw(java.lang.String filename, processing.core.PGraphics g)`
    `RShape` | `elemToCircle(processing.data.XML elem)`
    `RShape` | `elemToCompositeShape(processing.data.XML elem)`
    `RShape` | `elemToEllipse(processing.data.XML elem)`
    `RGroup` | `elemToGroup(processing.data.XML elem)`
    `RShape` | `elemToLine(processing.data.XML elem)`
    `RShape` | `elemToPolygon(processing.data.XML elem)`
    `RShape` | `elemToPolyline(processing.data.XML elem)`
    `RShape` | `elemToRect(processing.data.XML elem)`
    `RShape` | `elemToShape(processing.data.XML elem)`
    `java.lang.String` | `fromGroup(RGroup group)`
    `java.lang.String` | `fromShape(RShape shape)`
    `java.lang.String` | `groupToString(RGroup grp)`
    `java.lang.String` | `polygonToString(RPolygon poly)`
    `void` | `saveGroup(java.lang.String filename, RGroup grp)`
    `void` | `saveShape(java.lang.String filename, RShape shp)`
    `java.lang.String` | `shapeToString(RShape shp)`
    `java.lang.String` | `styleToString(RStyle style)`
    `RGroup` | `toGroup(java.lang.String filename)`
    `RMesh` | `toMesh(java.lang.String filename)`
    `RPolygon` | `toPolygon(java.lang.String filename)`
    `RShape` | `toShape(java.lang.String filename)`
    `float` | `unitsToPixels(java.lang.String units, float originalPxSize)`
    `float` | `unitsToPixels(java.lang.String units, float originalPxSize, float dpi)`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### RSVG

          public RSVG()

  - ### Method Detail

    - #### draw

          public void draw(java.lang.String filename,
                  processing.core.PGraphics g)

    - #### draw

          public void draw(java.lang.String filename,
                  processing.core.PApplet p)

    - #### draw

          public void draw(java.lang.String filename)

    - #### saveShape

          public void saveShape(java.lang.String filename,
                       RShape shp)

    - #### fromShape

          public java.lang.String fromShape(RShape shape)

    - #### saveGroup

          public void saveGroup(java.lang.String filename,
                       RGroup grp)

    - #### fromGroup

          public java.lang.String fromGroup(RGroup group)

    - #### toGroup

          public RGroup toGroup(java.lang.String filename)

    - #### unitsToPixels

          public float unitsToPixels(java.lang.String units,
                            float originalPxSize)

    - #### unitsToPixels

          public float unitsToPixels(java.lang.String units,
                            float originalPxSize,
                            float dpi)

    - #### toShape

          public RShape toShape(java.lang.String filename)

    - #### toPolygon

          public RPolygon toPolygon(java.lang.String filename)

    - #### toMesh

          public RMesh toMesh(java.lang.String filename)

    - #### groupToString

          public java.lang.String groupToString(RGroup grp)

    - #### polygonToString

          public java.lang.String polygonToString(RPolygon poly)

    - #### shapeToString

          public java.lang.String shapeToString(RShape shp)

    - #### styleToString

          public java.lang.String styleToString(RStyle style)

    - #### elemToGroup

          public RGroup elemToGroup(processing.data.XML elem)

    - #### elemToCompositeShape

          public RShape elemToCompositeShape(processing.data.XML elem)

    - #### elemToPolyline

          public RShape elemToPolyline(processing.data.XML elem)

    - #### elemToPolygon

          public RShape elemToPolygon(processing.data.XML elem)

    - #### elemToRect

          public RShape elemToRect(processing.data.XML elem)

    - #### elemToLine

          public RShape elemToLine(processing.data.XML elem)

    - #### elemToEllipse

          public RShape elemToEllipse(processing.data.XML elem)

    - #### elemToCircle

          public RShape elemToCircle(processing.data.XML elem)

    - #### elemToShape

          public RShape elemToShape(processing.data.XML elem)

Geomerative by Ricard Marxer, http://www.ricardmarxer.com/geomerative/